Get Reconciliation Rules by Date/Time
GET
https://api.mpay.com.au/receivables/v1/reconciliationrules/list/{dateTime}
dateTimestring<p>The start date for the search. Date format should be 'yyyy-MM-dd' format.</p>
endDatestring<p><strong>Optional</strong> - If not provided we will provide data for the day specified in Start Date. Maximum range allowed is 1 month.</p>
statusstring<p><strong>Optional</strong> - The status of the reconciliation rule to filter the results by.</p>
payIdstring<p><strong>Optional</strong> - The associated PayID. string <= 256 characters.</p>
abastring<p><strong>Optional</strong> - Number combination of BSB + Account number with any special characters removed, for example 802985123456789.</p>
pageNumberstring<p><strong>Optional</strong> - If not provided, it is defaulted to 1.</p>
pageSizestring<p><strong>Optional</strong> - If not provided, page size will be defaulted to 50 (Configuration). Maximum allowed is 200 (Configuration).</p>
acceptstringGenerated from available response content types
200successful validation
400<p>Bad Request - The request was invalid or could not be processed.</p>
401<p>Unauthorized - Authentication failed or was not provided.</p>
500<p>Internal Server Error - An unexpected error occurred while processing the request.</p>
curl --request GET \
--url 'https://api.mpay.com.au/receivables/v1/reconciliationrules/list/{dateTime}?endDate=2026-07-31&status=Received&payId=payid%40example.com&aba=802985123456789&pageNumber=1&pageSize=50' \
--header 'accept: application/json'